aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Author Topic: apt-get updated amule nicht?  (Read 7649 times)

Frisco

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 38
apt-get updated amule nicht?
« on: May 26, 2005, 05:26:34 PM »

Hallo,

ich habe vor einiger Zeit amule (mit weiteren Utilities, s.u.) installiert, ging mit den Einträgen für die sources.list von vollstrecker.net ohne Probleme. Nun gibt es ja seit einiger Zeit neue Versionen, und da mir amuleweb häufiger abschmiert, wollte ich jetzt mal updaten.

Ich hatte mich schon gewundert, dass das mit apt-get nicht schon längst automatisch passiert ist, aber auch manuell klappt das aus irgendeinem Grund nicht. Ich habe:

root@linux:/# dpkg -l amule*
Gewünscht=Unbekannt/Installieren/R=Entfernen/P=Säubern/Halten
| Status=Nicht/Installiert/Config/U=Entpackt/Fehlgeschl. Konf./Halb install.
|/ Fehler?=(keiner)/Halten/R=Neuinst. notw/X=beides (Status, Fehler: GROß=schlecht)
||/ Name                        Version                     Beschreibung
+++-===========================-===========================-======================================================================
ii  amule                       2.0.0-rc8+CVS20050417-1     aNOTHER eMule P2P Client
ii  amule-cas                   2.0.0-rc8+CVS20050417-1     reporting module for amule
ii  amule-common                2.0.0-rc8+CVS20050417-1     common files for amule
ii  amule-remote-gui            2.0.0-rc8+CVS20050417-1     the remote gui for amule
ii  amule-utils                 2.0.0-rc8+CVS20050417-1     utilities for amule
ii  amule-wxcas                 2.0.0-rc8+CVS20050417-1     reporting module for amule (graphical)
ii  amule-xas                   2.0.0-rc8+CVS20050417-1     amule statistics for xchat
ii  amuled                      2.0.0-rc8+CVS20050417-1     the amule daemon
ii  amuleweb                    2.0.0-rc8+CVS20050417-1     the webserver for amule
ii  amulewebdlg                 2.0.0-rc8+CVS20050417-1     the webserver for amule with a graphical interface


Das ist ja veraltet, auf vollstrecker.net sehe ich auch neue deb-Pakete vom 11. Mai, aber:

root@linux:/# apt-get -s install amule
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut... Fertig
amule ist schon die neueste Version.

auch dist-upgrade o.ä. bringt mir die gleiche Meldung. Was mache ich falsch?

Ach so, hier der Teil meiner sources.list:

root@linux:/# cat /etc/apt/sources.list |grep amule
deb http://www.vollstreckernet.de/debian/  testing amule wx


Kann da einer helfen?

Danke & viele Grüße
Frisco

stefanero

  • Some Support
  • Developer
  • Hero Member
  • *****
  • Karma: 8
  • Offline Offline
  • Posts: 4249
Re: apt-get updated amule nicht?
« Reply #1 on: May 26, 2005, 07:43:41 PM »

vollstrecker hat grad ein paar problem, darum updatet es nicht...
Logged
In its default setup, Windows XP on the Internet amounts to a car
parked in a bad part of town, with the doors unlocked, the key in
the ignition and a Post-It note on the dashboard saying, "Please
don't steal this."

Matze

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 16
Re: apt-get updated amule nicht?
« Reply #2 on: May 26, 2005, 07:47:30 PM »

Hab ich mir auch grad sagen lassen müssen :-(
Gibts denn in Debian ne Möglichkeit, sich die deb-Pakete für amule, amuled und amuleweb von Vollstrecker so zu ziehen (per Browser schein ich sie ja ziehen zu können) und anschließend zu installieren, bei der auch die Abhängigkeiten mit überprüft/beachtet werden?! Ich bin noch ziemlich neu in Debian/Ubuntu...
Logged

deltaHF

  • Evil Admin
  • Former Developer
  • Hero Member
  • *****
  • Karma: 6
  • Offline Offline
  • Posts: 3928
  • .. Legends may sleep, but they never die ..
    • http://www.amule.org
Re: apt-get updated amule nicht?
« Reply #3 on: May 26, 2005, 07:52:26 PM »

wie wärs mit kompilieren statt warten?  :P

Matze

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 16
Re: apt-get updated amule nicht?
« Reply #4 on: May 26, 2005, 08:37:34 PM »

Warum komliziert wenn's auch einfacher geht?
Aber so wie's aussieht, werd ich mich da morgen dann mal rannsetzen...auf meinem Laptop hab ich's ja auch kompiliert und es läuft...
Aber man wird halt faul ;-)
Logged

Frisco

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 38
Re: apt-get updated amule nicht?
« Reply #5 on: May 26, 2005, 11:09:30 PM »

Hallo Matze,

klar, zieh dir die Pakete mit wget %URL% von vollstrecker.net runter und installier sie mit dpkg --install - die Pakete liegen doch da, wenn ich das richtig gesehen habe.

Oder, Stefanero, wo liegt das Problem genau? Sind die Pakete vom 11. Mai auch veraltet, oder klappt "nur" das Aktualisieren nicht?

Vollstrecker

  • Global Moderator
  • Hero Member
  • *****
  • Karma: 65
  • Offline Offline
  • Posts: 1471
  • Unofficial Debian Packager
    • http://vollstreckernet.de
Re: apt-get updated amule nicht?
« Reply #6 on: May 27, 2005, 12:54:05 AM »

Das aktualisieren klappt nicht, da die Pakete zwar vorhanden sind, aber fälschlicherweise am 12. Mai noch eine Packages.gz erstellt wurde die keinerlei Pakete enthält. Dadurch kann auch nichts installiert werden.
Wie ich aber in den News gerade geschrieben habe, werde ich ab morgen früh die Pakete von Hand bauen, bis das Script wieder läuft.
Logged
Homefucking is killing prostitution

dafunk

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 18
debian sources
« Reply #7 on: June 14, 2005, 06:03:36 PM »

öhem, das mit dem kompilieren war noch nie meine stärke :D
und ich muss doch noch was für die schule lernen ;)

die deb sources sind nicht zufällig mittlerweile online, oder?

fragende grüße,

dafunk
Logged

dafunk

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 18
ich alte schissbuchse
« Reply #8 on: June 14, 2005, 06:30:27 PM »

so, hat geschlagene 15 minuten gedauert :D

ihr habt ja mittlerweile so ein gutes wiki das die installation bzw.
das kompilieren überhaupt keine rede mehr wert ist !

amule 2.0.2. läuft nun !

danke für eure Arbeit!!!   :baby:

gruß, dafunk
Logged

Frisco

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 38
vollstreckernet.de - Bandbreitenprobleme?
« Reply #9 on: June 14, 2005, 08:42:03 PM »

Hallo,

gibt es Bandbreitenprobleme? Ich kriege nur eine extrem langsame Verbindung beim deb-Download über aptitude, das war sonst viel schneller?

Hole:6 http://www.vollstreckernet.de testing/amule amule 2.0.2+CVS20050614-1 [2108kB]    9232B/s 4m9s

Viele Grüße
Frisco
« Last Edit: June 14, 2005, 08:47:43 PM by Frisco »
Logged